qselect(1B)

NAME
qselect - select pbs batch jobs

SYNOPSIS
qselect [-a [op]date_time] [-A account_string] [-c [op]interval] [-h hold_list] [-l resource_list] [-N name] [-p [op]priority] [-q destination] [-r rerun] [-s states] [-u user_list]

DESCRIPTION
The qselect command provides a method to list the job identifier of those jobs which meet a list of selection criteria. Jobs are selected from those owned by a single server.

When qselect successfully completes, it will have written to standard output a list of zero or more jobs which meet the criteria specified by the options. Each option acts as a filter restricting the number of jobs which might be listed. With no options, the qselect command will list all jobs at the server which the user is authorized to list (query status of). The -u option may be used to limit the selection to jobs owned by this user or other specified users.

OPTIONS
When an option is specified with a optional component to the option argument, then specifies a relation between the value of a certain job attribute and the value component of the option argument. If an is allowable on an option, then the description of the option letter will indicate the is allowable. The only acceptable strings for the component, and the relation the string indicates, are shown in the following list:

    .eq.
        the value represented by the attribute of the job is equal to the value represented by the option argument.

    .ne.
        the value represented by the attribute of the job is not equal to the value represented by the option argument.

    .ge.
        the value represented by the attribute of the job is greater than or equal to the value represented by the option argument.

    .gt.
        the value represented by the attribute of the job is greater than the value represented by the option argument.

    .le.
        the value represented by the attribute of the job is less than or equal to the value represented by the option argument.

    .lt.
        the value represented by the attribute of the job is less than the value represented by the option argument.

-a [op]date_time
    Restricts selection to a specific time, or a range of times.

    The qselect command selects only jobs for which the value of the attribute is related to the argument by the optional operator. The argument is in the form of the date_time operand of the touch(1) command:
    where the MM is the two digits for the month, DD is the day of the month, hh is the hour, mm is the minute, and the optional SS is the seconds. CC is the century and YY the year.

    If is not specified, jobs will be selected for which the and values are equal. If is specified, jobs will be selected according to the following definitions:

    .eq.
        attribute is equal to the argument.

    .ne.
        attribute is not equal to the argument.

    .ge.
        attribute is greater than (after) or equal to the argument.

    .gt.
        attribute is greater than (after) the argument.

    .le.
        attribute is less than (before) or equal to the argument.

    .lt.
        attribute is less than (before) the argument.

-A account_string
    Restricts selection to jobs whose attribute matches the specified

-c [op]interval
    Restricts selection to jobs whose interval attribute matches the specified relationship.

    The values of the attribute are defined to have the following ordered relationship:
    n > s > c=minutes > c > u
    If the optional is not specified, jobs will be selected whose attribute is equal to the argument. If is specified, jobs will be selected according to:

    .eq.
        attribute of the job is equal to the argument.

    .ne.
        attribute of the job is not equal to the argument.

    .ge.
        attribute of the job is greater than or equal to the argument.

    .gt.
        attribute of the job is greater than the argument.

    .le.
        attribute of the job is less than or equal to the argument.

    .lt.
        attribute of the job is less than the argument.

    For an interval value of "u", only ".eq." and ".ne." are valid.

-h hold_list
    Restricts the selection of jobs to those with a specific set of hold types. Only those jobs will be selected whose attribute exactly match the value of the argument.

    The argument is a string consisting of one or more occurrences the single letter or one or more of the letters or in any combination. If letters are duplicated, they are treated as if they occurred once. The letters represent the hold types:
      n - none
      u - user
      o - other
      s - system

-l resource_list
    Restricts selection of jobs to those with specified resource amounts.

    Only those jobs will be selected whose attribute matches the specified relation with each resource and value listed in the argument. The is in the following format:
    resource_nameopvalue[,resource_nameopval,...]
    The relation operator must be present.

    When comparing the values of resources, the following definitions for the operator apply:

    .eq.
        the resource value in the attribute of the job equals the value specified in

    .ne.
        the resource value in the attribute of the job is not equal to the value specified in

    .ge.
        the resource value in the attribute of the job is greater than or equal to the value specified in

    .gt.
        the resource value in the attribute of the job is greater than the value specified in

    .le.
        the resource value in the attribute of the job is less than or equal to the value specified in

    .lt.
        the resource value in the attribute of the job is less than the value specified in

-N name
    Restricts selection of jobs to those with a specific name.

-p [op]priority
    Restricts selection of jobs to those with a priority that matches the specified relationship. If is not specified, jobs are selected for which the job attribute is equal to the

    If the is specified, the relationship is defined as:

    .eq.
        attribute is equal to the value of the argument.

    .ne.
        attribute is not equal to the value of the argument.

    .ge.
        attribute is greater than or equal to the value of the argument.

    .gt.
        attribute is greater than the value of the argument.

    .le.
        attribute is less than or equal to the value of the argument.

    .lt.
        attribute is less than the value of the argument.

-q destination
    Restricts selection to those jobs residing at the specified destination.

    The may be of one of the following three forms:

    If the option is not specified, jobs will be selected from the default server.

    If the describes only a queue, only jobs in that queue on the default batch server will be selected.

    If the describes only a server, then jobs in all queues on that server will be selected.

    If the describes both a queue and a server, then only jobs in the named queue on the named server will be selected.

-r rerun
    Restricts selection of jobs to those with the specified attribute. The option argument must be a single character. The following two characters are supported by PBS: and

-s states
    Restricts job selection to those in the specified states.

    The argument is a character string which consists of any combination of the characters: and

    The characters in the argument have the following interpretation:

    E   the Exiting state.

    H   the Held state.

    Q   the Queued state.

    R   the Running state.

    T   the Transiting state.

    W   the Waiting state.

    Jobs will be selected which are in any of the specified states.

-u user_list
    Restricts selection to jobs owned by the specified user names.

    This provides a means of limiting the selection to jobs owned by one or more users.

    The syntax of the is:
    Host names may be wild carded on the left end, e.g. "*.nasa.gov". User_name without a "@host" is equivalent to "user_name@*", that is at any host. Jobs will be selected which are owned by the listed users at the corresponding hosts.

STANDARD OUTPUT
The list of job identifiers of selected jobs is written to standard output. Each job identifier is separated by white space. Each job identifier is of the form:
Where is the identifier assigned at submission time, see qsub. identifies the server which currently owns the job.

STANDARD ERROR
The qselect command will write a diagnostic message to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all options presented to the qselect command, the exit status will be a value of zero.

If the qselect command fails to process any option, the command exits with a value greater than zero.

SEE ALSO
qsub(1B), qstat(1B), pbs_selectjob(3B), pbs_selstat(3B), pbs_statjob(3B)